Delete task
curl --request DELETE \
--url https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 403,
"message": "Missing required scope: task:create"
}{
"statusCode": 404,
"message": "Task not found"
}{
"statusCode": 429,
"message": "Too many requests"
}Tasks
Delete task
Permanently deletes a task. This action cannot be undone. Accepts either a UUID or an external ID (e.g. PROJ-42).
Requires the task:update scope.
DELETE
/
{projectSlug}
/
tasks
/
{taskId}
Delete task
Authorizations
API key created in Workspace Settings → API Keys. Pass it in the Authorization header as a Bearer token, or in the X-API-Key header.
Format: el_ followed by 40 hex characters.
Path Parameters
The slug of the project.
Example:
"my-project"
UUID of the task, or its external ID (e.g. PROJ-42).
Example:
"PROJ-42"
Response
Task deleted successfully.
Example:
true
⌘I